Subject: Re: Google Summer of Code 2008

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 28 Feb 2008 01:36:21 -0500

Johannes Schindelin <[email-masked]> wrote:
> On Tue, 26 Feb 2008, Jakub Narebski wrote:
> 
> > I have just read (via Linux Today news[*1*]) that GSoC 2008 initiative 
> > starts early.  Applications for organizations open March 3 and close 
> > March 12.  Git development community participated in GSoC 2007 with two 
> > projects accepted[*2*]: builtinification and libification.  What do you 
> > think about their results for git? What do you think about participating 
> > in this year GSoC?
> 
> I think that GSoC2007 was quite nice for us.  And with what we learnt, we 
> would do even better in 2008.

I agree.  Unfortunately though it seems only 3 of us out of 855
current subscribers to the git mailing list have anything to say
on the subject in the past couple of days. :-\
 
> However, I simply do not have the time to serve as primary contact.  I am 
> willing to be mentor again, though.

I'd be willing to do it again, as well as mentor a student.  I found it
very interesting last year.
 
> As for projects, I imagine that Gitorrent, further builtinification and 
> Windows support would be good candidates.

Yea, Gitorrent would be cool.  Especially since send-pack is
somewhat heavy on the server's resources and there are some very
popular projects offered in git format (hello Linux kernel!).

I'd love to see new features added to git-gui, but I'm being selfish.
Ditto with jgit and egit, though I think Robin has done a stellar
job with them thus far.  I can still want them to grow.

pack v4 (or maybe v5?! a student could have better ideas then we
have thus far come up with) would also be interesting.

My list could probably go on for a bit.

-- 
Shawn.